summary refs log tree commit diff stats
diff options
context:
space:
mode:
-rwxr-xr-xranger/data/scope.sh5
1 files changed, 3 insertions, 2 deletions
diff --git a/ranger/data/scope.sh b/ranger/data/scope.sh
index 9f212cae..ca1f7e67 100755
--- a/ranger/data/scope.sh
+++ b/ranger/data/scope.sh
@@ -30,14 +30,15 @@ extension=$(echo "$path" | grep '\.' | grep -o '[^.]\+$')
 # Functions:
 # "have $1" succeeds if $1 is an existing command/installed program
 function have { type -P "$1" > /dev/null; }
-# "sucess" returns the exit code of the first program in the last pipe chain
+# "success" returns the exit code of the first program in the last pipe chain
 function success { test ${PIPESTATUS[0]} = 0; }
 
 case "$extension" in
 	# Archive extensions:
 	7z|a|ace|alz|arc|arj|bz|bz2|cab|cpio|deb|gz|jar|lha|lz|lzh|lzma|lzo|\
 	rar|rpm|rz|t7z|tar|tbz|tbz2|tgz|tlz|txz|tZ|tzo|war|xpi|xz|Z|zip)
-		atool -l "$path" | head -n $maxln && exit 3
+		als "$path" | head -n $maxln
+		success && exit 0 || acat "$path" | head -n $maxln && exit 3
 		exit 1;;
 	# PDF documents:
 	pdf)
Jid typedef to be explicit pointer' href='/danisanti/profani-tty/commit/tests/test_jid.c?id=1cc33cc4915b04d08604d959ff3286a753bfc813'>1cc33cc4 ^
94bcf188 ^




1cc33cc4 ^
94bcf188 ^




1cc33cc4 ^
94bcf188 ^




1cc33cc4 ^
94bcf188 ^




1cc33cc4 ^
94bcf188 ^




1cc33cc4 ^
94bcf188 ^




1cc33cc4 ^
94bcf188 ^




1cc33cc4 ^
94bcf188 ^




1cc33cc4 ^
94bcf188 ^




1cc33cc4 ^
94bcf188 ^




1cc33cc4 ^
94bcf188 ^




1cc33cc4 ^
94bcf188 ^




1cc33cc4 ^
94bcf188 ^




1cc33cc4 ^
94bcf188 ^


3a22719b ^

8bdab23e ^
3a22719b ^





8bdab23e ^
3a22719b ^



d239a127 ^











































94bcf188 ^



















3a22719b ^

d239a127 ^



94bcf188 ^
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
71
72
73
74
75
76
77
78
79
80
81
82
83
84
85
86
87
88
89
90
91
92
93
94
95
96
97
98
99
100
101
102
103
104
105
106
107
108
109
110
111
112
113
114
115
116
117
118
119
120
121
122
123
124
125
126
127
128
129
130
131
132
133
134
135
136
137
138
139
140
141
142
143
144
145
146
147
148
149
150
151
152
153
154
155
156
157
158
159
160
161
162
163
164
165
166
167
168
169
170
171
172
173
174
175
176
177
178
179
180
181
182
183
184
185
186
187
188
189
190
191
192